package youlianghui

import (
	"applet/app/cfg"
)

type ApiService struct {
	MemberId string `json:"member_id"`
	Secret   string `json:"secret"`
	Host     string `json:"host"`
}

func NewApiService(memberId, secret string) (apiService ApiService, err error) { // set方法
	apiService.MemberId = memberId
	apiService.Secret = secret
	apiService.Host = "https://test-api.adnet.qq.com/open/v1.1"
	if cfg.Prd {
		apiService.Host = "http://api.adnet.qq.com/open/v1.1"
	}

	return
}

// MediumAdd 创建媒体
// func (apiService *ApiService) MediumAdd() (appId string, err error) { // set方法
// 	token := GetToken(apiService.MemberId, apiService.Secret)
// 	url := apiService.Host + "/medium/add"
// 	params := map[string]interface{}{
// 		"name": name,
// 		"type": string(adunitType),
// 	}
// 	if adunitType == enum.AdunitTypeForVideoFeeds {
// 		params["video_duration_min"] = 6
// 		params["video_duration_max"] = 60
// 	}
// 	postBody, err := utils.CurlPost(url, utils.SerializeStr(params), nil)
// 	if err != nil {
// 		return
// 	}
// 	var resp md.AgencyCreateAdunit
// 	err = json.Unmarshal(postBody, &resp)
// 	if err != nil {
// 		return
// 	}
// 	if resp.Ret != 0 {
// 		err = errors.New(resp.ErrMsg)
// 	}
// 	adUnitId = resp.AdUnitId
// 	return
// }
